apiVersion: batch/v1
kind: CronJob
metadata:
  name: backup-to-bucket
spec:
  concurrencyPolicy: Forbid
  schedule: '30 0 * * 0'
  jobTemplate:
    spec:
      backoffLimit: 0
      template:
        spec:
          restartPolicy: Never
          containers:
            - name: rclone
              image: rclone
              args:
                - 'copy'
                - '--fast-list'
                - '--exclude'
                - 'k8s/**'
                - 'v1.bucket.davinkevin.fr:backup'
                - 'gcs:backup.house.davinkevin.fr'
                - '--progress'
                - '--no-update-modtime'
              volumeMounts:
                - mountPath: /credentials
                  subPath: credentials.json
                  name: credentials
                - mountPath: /config/rclone/rclone.conf
                  subPath: rclone.conf
                  name: credentials
          volumes:
            - name: credentials
              secret:
                secretName: credentials
---
apiVersion: batch/v1
kind: CronJob
metadata:
  name: download-davinkevin-fr-to-backup-bucket
spec:
  concurrencyPolicy: Forbid
  schedule: '30 2 * * 0'
  jobTemplate:
    spec:
      backoffLimit: 0
      template:
        spec:
          restartPolicy: Never
          containers:
            - name: rclone
              image: rclone
              args:
                - 'copy'
                - 'v1.bucket.davinkevin.fr:download-davinkevin-fr'
                - 'gcs:backup.house.davinkevin.fr/download-davinkevin-fr'
                - '--progress'
                - '--ignore-times'
              volumeMounts:
                - mountPath: /credentials
                  subPath: credentials.json
                  name: credentials
                - mountPath: /config/rclone/rclone.conf
                  subPath: rclone.conf
                  name: credentials
          volumes:
            - name: credentials
              secret:
                secretName: credentials
